Skip to content
Browse files

[NEW] Added Gemfile and updated gemspec for dependency management

  • Loading branch information...
1 parent 36843dd commit 81076bfa033ddb531509f26cc888a327f9d3b1ba @crafterm committed Nov 17, 2012
Showing with 50 additions and 9 deletions.
  1. +3 −0 Gemfile
  2. +46 −0 Gemfile.lock
  3. +1 −9 sprinkle.gemspec
View
3 Gemfile
@@ -0,0 +1,3 @@
+source :rubygems
+
+gemspec
View
46 Gemfile.lock
@@ -0,0 +1,46 @@
+PATH
+ remote: .
+ specs:
+ sprinkle (0.4.2)
+ activesupport (>= 2.0.2)
+ capistrano (>= 2.5.5)
+ highline (>= 1.4.0)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ activesupport (3.2.9)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ capistrano (2.13.5)
+ highline
+ net-scp (>= 1.0.0)
+ net-sftp (>= 2.0.0)
+ net-ssh (>= 2.0.14)
+ net-ssh-gateway (>= 1.1.0)
+ diff-lcs (1.1.3)
+ highline (1.6.15)
+ i18n (0.6.1)
+ multi_json (1.3.7)
+ net-scp (1.0.4)
+ net-ssh (>= 1.99.1)
+ net-sftp (2.0.5)
+ net-ssh (>= 2.0.9)
+ net-ssh (2.6.1)
+ net-ssh-gateway (1.1.0)
+ net-ssh (>= 1.99.1)
+ rspec (2.12.0)
+ rspec-core (~> 2.12.0)
+ rspec-expectations (~> 2.12.0)
+ rspec-mocks (~> 2.12.0)
+ rspec-core (2.12.0)
+ rspec-expectations (2.12.0)
+ diff-lcs (~> 1.1.3)
+ rspec-mocks (2.12.0)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ rspec (>= 2.5)
+ sprinkle!
View
10 sprinkle.gemspec
@@ -1,8 +1,3 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
-# -*- encoding: utf-8 -*-
-
Gem::Specification.new do |s|
s.name = %q{sprinkle}
s.version = "0.4.2"
@@ -14,10 +9,6 @@ Gem::Specification.new do |s|
s.description = %q{Ruby DSL based software provisioning tool}
s.email = %q{crafterm@redartisan.com}
s.executables = ["sprinkle"]
- s.extra_rdoc_files = [
- "README.markdown",
- "TODO"
- ]
s.files = [
"CREDITS",
"MIT-LICENSE",
@@ -154,6 +145,7 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, [">= 2.5"])
+ s.add_development_dependency(%q<rake>, [">= 0.8.7"])
s.add_runtime_dependency(%q<activesupport>, [">= 2.0.2"])
s.add_runtime_dependency(%q<highline>, [">= 1.4.0"])
s.add_runtime_dependency(%q<capistrano>, [">= 2.5.5"])

0 comments on commit 81076bf

Please sign in to comment.
Something went wrong with that request. Please try again.